from PyQt5.QtCore import QTime, QDate, QTimer, Qt
from PyQt5.QtWidgets import QLabel


class ClockWidget(QLabel):
    def __init__(self, parent=None):
        super(ClockWidget, self).__init__(parent)

        timer = QTimer(self)
        timer.timeout.connect(self.showTime)
        timer.start(1000)
        self.setAlignment(Qt.AlignHCenter | Qt.AlignVCenter)
        self.setObjectName('time')
        self.showTime()

    def showTime(self):
        time = QTime.currentTime()
        text = time.toString('hh:mm:ss')
        self.time = time
        self.setText(text)


class DateWidget(QLabel):
    def __init__(self, clock, parent=None):
        super().__init__(parent)
        clock.day.connect(
            lambda: self.setText(QDate.currentDate().toString('dd.MM.yyyy')))
        clock.resend()
        self.setAlignment(Qt.AlignHCenter | Qt.AlignVCenter)
        self.setObjectName('date')
